<template>
    <div class="cart-container">
        <div class="cart-head">
            <div class="container mb-30">
                <h2 class="text-right">
                    Inscripción de planilla #{{ order.id }}
                </h2>
            </div>
            <div class="table-responsive">
                <table class="table table-borderless">
                    <thead>
                        <tr>
                            <th></th>

                            <th scope="col"></th>
                            <th scope="col">Cursos</th>

                            <th scope="col" class="text-right">Total</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr v-for="item in order.items" :key="item.id">
                            <th scope="row">
                                <div class="form-group">
                                    <input
                                        @change.prevent="click"
                                        type="checkbox"
                                        name=""
                                        id=""
                                        class="form-control"
                                    />
                                </div>
                            </th>

                            <td>
                                <img
                                    :src="item.cursos.feature_image"
                                    class="img-fluid"
                                    width="35"
                                    alt="product"
                                />
                            </td>
                            <td>
                                {{ item.cursos.title }}
                            </td>

                            <td class="text-right">
                                $
                                {{
                                    item.cursos.price_sale
                                        ? item.cursos.price_sale
                                        : item.cursos.price
                                }}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>

        <div class="cart-footer">
            <div class="row">
                <div class="col-6">
                    <button
                        onclick="window.history.go(-1);"
                        class="btn btn-primary-rgba my-1"
                    >
                        <i class="feather icon-arrow-left ml-2"></i> Regresar a
                        la pág. anterior
                    </button>
                </div>
                <div class="col-6 text-right">
                    <button
                        v-if="order.status == 2 && order.items.length == check"
                        v-on:click.prevent="pedido()"
                        class="btn btn-success-rgba my-1"
                    >
                        Procesar inscripción<i
                            class="feather icon-arrow-right ml-2"
                        ></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    props: ["orders", "auth"],
    mounted() {
        console.log(this.order);
        this.verify();
        this.get();
    },
    data() {
        return {
            order: this.orders,
            user: this.auth,
            subTotal: "",
            iva: "",
            total: "",
            desc: "",
            check: 0
        };
    },
    methods: {
        get() {
            this.order.items.forEach(e => {
                if (e.cursos) {
                    // console.log(e.cursos.price_sale);
                    if (e.cursos.price_sale) {
                        this.subTotal =
                            Number(this.subTotal) + Number(e.cursos.price_sale);
                    } else {
                        this.subTotal =
                            Number(this.subTotal) + Number(e.cursos.price);
                    }
                }
            });

            this.iva = Number(this.subTotal) * 0;
            if (this.order.cupon) {
                if (this.order.cupon.percent_desc) {
                    this.desc =
                        (this.subTotal * this.order.cupon.percent_desc) / 100;
                }
                if (this.order.cupon.value_desc) {
                    this.desc = this.order.cupon.value_desc;
                }
            }
            this.total = Number(this.subTotal) + Number(this.iva) - this.desc;
        },
        verify() {
            if (this.user.role > 5) {
                if (this.order.user_id != this.user.id) {
                    window.history.go(-1);
                }
            }
        },
        pedido(){
            let status = {
                status: 3,
                order: this.id
            };
            axios
                .put(
                    "/api/accounting/payment/transferencias/" +
                        this.order.pagos[0].id,
                    status
                )
                .then(res => {
                    location.href = "/dashboard/compras/verificate/inscriptions";
                });
        },
        click(e){

            if(e.target.checked == true){
                this.check = this.check + 1;
            }else{
                this.check = this.check - 1;
            }
            console.log(this.check);
        }
    }
};
</script>
